package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID                = "uid"
	NAME               = "name"
	TYPE               = "type"
	ROLE               = "role"
	TITLE              = "title"
	CONTENT            = "content"
	USER_UID           = "user_uid"
	USER_INVESTOR_ROLE = "user_investor_role"
	INVESTOR_UID       = "investor_uid"
	INVESTOR_NAME      = "investor_name"
	INVESTOR_TYPE      = "investor_type"
	INVESTMENT_UID     = "investment_uid"
	COMPANY_UID        = "company_uid"
	CITY_UID           = "city_uid"
)

type UserInvestor struct {
	db.ModelUserPlace
	InvestorUID string `gorm:"type:char(32);index"`
}
type Investor struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Investment struct {
	db.ModelContent
	InvestorUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserInvestor{}, &Investor{}, &Investment{}) }
